// initialize app
function start(app, express) {
	app.use(express.favicon(__dirname + '/public/images/favicon.ico'));		//set favicon
}


// Set up the server side response upon GET, straight forward
// Reply with the file content as is

// A real API with tokens, keys and security whould be added here
var http = require('http');
http.createServer(function (req, res) {
	console.log('Req');
  fs = require('fs');
  fs.readFile('wind.txt', 'utf8', function (err,data) {
  	if (!err) {
  	var test = JSON.parse('['+data+']');
	  	res.writeHead(200, {'Content-Type': 'text/plain'});
	  	res.end(data);
	  	console.log('Respond with full wind history');
  	} else {
  		res.writeHead(404, {'Content-Type': 'text/plain'});
  		res.end('No data to give');
  	}
  });
}).listen(1337, '127.0.0.1');

console.log('Server running at http://127.0.0.1:1337/');

// By interval, get the latest wind data from a geografical position
// Should be saved to a database
var request = require("request");
setInterval(function (){
	request("http://vind.minimum.se/api/v3/Svetlana/latest.json", function(error, 		response, body) {
		console.log('Reply:' + body);
		fs = require('fs');
		fs.readFile('wind.txt', 'utf8', function (err,data) {
		  if (err) {
		  	// If no file, create an emtpy file on backend
		    fs.writeFile('wind.txt', '', function (err) {
			  if (err) return console.log(err);
			  console.log('Created > wind.txt');
			});
			return console.log(err);
		  }
		  console.log('DATA:' + data +':');
		  // Unless data is '' add old data with latest response
		  if (data == '') {
		  		// If no data yet, skip the old data and the comma
			  fs.writeFile('wind.txt', body, function (err) {
				  if (err) return console.log(err);
				  console.log('Wind point > wind.txt');
				});
			  console.log(body);
		  } else {
		  		// Append new moemntary data
		  	fs.writeFile('wind.txt', data+',\n'+body, function (err) {
				  if (err) return console.log(err);
				  console.log('Wind point > wind.txt');
				});
			  console.log(body);
		  	
		  }
		});
		
	});
}, 5000);

// Add bussiness logic for datamining, creating the foundation of a windmine that can then be used for analytics over time

// Combine this data with other data sources for weather prediction

// Add push notifications from backend to support alarms indicating "flyable" zones


// release resources
function stop() {
	
}